General NAS-Central Forums

Welcome to the NAS community
It is currently Sun Aug 20, 2017 5:48 am

All times are UTC




Post new topic Reply to topic  [ 69 posts ]  Go to page Previous  1, 2, 3, 4, 5  Next
Author Message
PostPosted: Sat May 21, 2016 8:14 am 
Offline

Joined: Mon Jun 16, 2008 10:45 am
Posts: 6022
Darkyputz wrote:
i just thought that the cgi meant some web presence...
It does, more or less. CGI stands for Common Gateway Interface, and it's a standard how webservers can use external executables. The webserver creates some environment, and then calls the cgi 'script', which outputs (dynamic) html code over it's stdout.

In most cases you can just execute the cgi executable and get html code.

I think the scripts won't care about their actual place on the disk, so you can copy them to one of the zypkg directories in /usr/local/zy-pkgs/gui/, and call them directly. At the moment I have no access to an NSA, but I think the url should be something like
Code:
http://<nas>/pkg/<pkgname>/<script>.cgi


I *think* you can also create a directory /usr/local/zy-pkgs/gui/apcupsd/ and put the scripts in it. Then the url will be
Code:
http://<nas>/pkg/apcupsd/<script>.cgi
but you can also put a simple redirecting index.html inside that directory. Have a look at MetaRepository if you don't know how to write a redirecting index.html


Top
 Profile  
 
PostPosted: Mon Aug 22, 2016 7:52 am 
Offline

Joined: Mon Mar 31, 2014 9:35 am
Posts: 51
Last upgrade broke opkg. I have the 'kernel too old' msg every time I try to run opkg (updated libc from 2.23-4 to 2.23-5.

Should I download libc-2.6.24_2.23-4_armv5soft.ipk and folow these steps http://buffalo.nas-central.org/wiki/Ins ... _end-users) to fix it or is there a better way?

EDIT: Reboot fixed the issue :roll:


Top
 Profile  
 
PostPosted: Wed Sep 21, 2016 7:19 pm 
Offline

Joined: Wed Apr 23, 2014 3:41 pm
Posts: 27
Hi guys, quick question.

I have FFP installed on my NAS a couple of years ago, and sincerelly wasn't trying something new because it goes pretty well for what I use to do.
When I discovered about Entware , I updated the packages, and installed it. All went well, then I access through SSH but can execute it. I checked the Help, and learnt about coexistence with FFP and the $PATH, but my issue is that I don't have "/etc/opt" :o

I've tried uninstalling and reinstalling again, rebooting the NSA320... but nothing.
Using find command with the package "OPKG" there's nothing. It's strange.

Any ideas?
Thanks!


Top
 Profile  
 
PostPosted: Fri Sep 23, 2016 6:05 pm 
Offline

Joined: Mon Jun 16, 2008 10:45 am
Posts: 6022
There is no /etc/opt, only an /opt/etc. And there is no OPKG, only an opkg. If you uninstalled or disabled ffp,
Code:
echo $SHELL
should give /bin/sh, and
Code:
echo $PATH
should contain /opt/bin


Top
 Profile  
 
PostPosted: Fri Sep 23, 2016 10:16 pm 
Offline

Joined: Wed Apr 23, 2014 3:41 pm
Posts: 27
Mijzelf wrote:
There is no /etc/opt, only an /opt/etc. And there is no OPKG, only an opkg. If you uninstalled or disabled ffp,
Code:
echo $SHELL
should give /bin/sh, and
Code:
echo $PATH
should contain /opt/bin


Thanks Mijzelf, I had already tried and read that. My issue is that the folder /opt/bin didn't exist.
Don't ask me why/how but it's back now (I have restored config backup, uninstalled and reinstalled entware...).

I need to execute it as "./opkg" but it's now working :-)
Is there any easy too to organize the packages, view which ones may be interesting...?

Thanks a mill!


Top
 Profile  
 
PostPosted: Sat Sep 24, 2016 7:46 am 
Offline

Joined: Mon Jun 16, 2008 10:45 am
Posts: 6022
mdabar wrote:
Is there any easy too to organize the packages, view which ones may be interesting...?
Maybe http://pkg.entware.net/binaries/armv7/Packages.html


Top
 Profile  
 
PostPosted: Sun Dec 04, 2016 2:12 pm 
Offline

Joined: Thu Nov 17, 2016 8:56 am
Posts: 40
Entware-ng --- WOW !!!


Top
 Profile  
 
PostPosted: Wed Jan 11, 2017 2:08 am 
Offline

Joined: Sun Nov 18, 2012 2:32 pm
Posts: 23
Mijzelf, I've had my NSA320 offline for a while. Upon returning I find that its out of support but continue to use metarepository which appears to be up to date. While I've left my system online for a while I still do not see Entware-ng as an available package. Is there something I'm missing? Perhaps should I reinstall metarepository?

Interestingly enough if I browse to my NSA320\admin\zy-pkgs\MetaRepository\NSA320\4.70\zypkg I do indeed see a file for "Entware-ng_20160131_arm_005.zpkg" though it is only 1kb.

I've also opened that 1kb file and attempted to download the 14kb zpkg file and place it in MyRepo directory but still cannot get it to show up.

What am I missing?

Thanks as always!


Top
 Profile  
 
PostPosted: Wed Jan 11, 2017 8:27 am 
Offline

Joined: Mon Jun 16, 2008 10:45 am
Posts: 6022
Can you update the package list in the webinterface, and then have a look in \\NSA320\admin\zy-pkgs\MetaRepository\ for logfiles? There could be 2 of them, you should look at ZYPKGINFO.tgz.log, or something like that. That logfile contains the log of collecting data from different repo's, and putting them together in 1 meta-repo.

Quote:
I do indeed see a file for "Entware-ng_20160131_arm_005.zpkg" though it is only 1kb.
That file is part of the internal database of MetaRepository. It contains the url of the 'real' file, which is used when the package manager requests for it.


Top
 Profile  
 
PostPosted: Thu Feb 02, 2017 3:19 pm 
Offline

Joined: Mon Dec 08, 2014 5:13 pm
Posts: 11
As a total linux noob I'm running FFP since ages.

Now trying to enable entware bij installing metarepository and enabling entware-ng trough the webinterface of my nsa320.
It says it is installed an I can access the webinterface at http://<nas>/pkg/Entware-ng/pkgcgi.cgi
But when I go to the packages I get a 404.

When I login with putty and go to the opt dir, it has no subdirs so my command opkg is not recognized.

Do I have to install entware by script or do I have to start it manual?

Any help is appreciated!


Top
 Profile  
 
PostPosted: Thu Feb 02, 2017 6:37 pm 
Offline

Joined: Mon Jun 16, 2008 10:45 am
Posts: 6022
Entware-ng is supposed to be installed automatically. In your case clearly something went wrong. The logfile which you can view in the webinterface should tell you more.

Quote:
But when I go to the packages I get a 404.
The cgi script tries to read the used architecture from the Entware-ng installation. (armv5 or armv7) that silently fails, and so it generates an invalid URL to the packages website.


Top
 Profile  
 
PostPosted: Thu Feb 02, 2017 7:39 pm 
Offline

Joined: Fri Nov 14, 2014 8:40 pm
Posts: 3
hi Mijzelf, firstly many thanks for all the work you have done providing great modifications to the zyxel nas's :)

i was wondering if you could update the youtube-dl package for entware-ng, as the current provided version 2016.11.27 is no longer fully operational, and when using the built in update switch the resulting build no longer works and gives an error of being able to import the python module runpy.

thanks in advance


Top
 Profile  
 
PostPosted: Fri Feb 03, 2017 8:15 am 
Offline

Joined: Mon Jun 16, 2008 10:45 am
Posts: 6022
No. I'm only the maintainer of some ZyXEL specific packages. For common packages you have to ask the Entware-ng crew, here.


Top
 Profile  
 
PostPosted: Fri Feb 03, 2017 4:03 pm 
Offline

Joined: Mon Dec 08, 2014 5:13 pm
Posts: 11
There is no logfile or log entry.
Is the logfile somewhere on the NAS?


Top
 Profile  
 
PostPosted: Fri Feb 03, 2017 6:30 pm 
Offline

Joined: Mon Jun 16, 2008 10:45 am
Posts: 6022
Virrr wrote:
Is the logfile somewhere on the NAS?
It is supposed to. In /usr/local/zy-pkgs/opt/var/log/


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 69 posts ]  Go to page Previous  1, 2, 3, 4, 5  Next

All times are UTC


Who is online

Users browsing this forum: Baidu [Spider], Bing [Bot] and 13 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group